* [gentoo-commits] repo/gentoo:master commit in: www-client/google-chrome-unstable/, www-client/google-chrome/, ...
@ 2016-03-23 1:33 Mike Gilbert
0 siblings, 0 replies; 3+ messages in thread
From: Mike Gilbert @ 2016-03-23 1:33 UTC (permalink / raw
To: gentoo-commits
commit: 9d44501a3a5997362f12ca30f0aea12de352958b
Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 23 01:32:25 2016 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Wed Mar 23 01:32:25 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9d44501a
www-client/google-chrome: Misc cleanup
EAPI=6
Remove stale code that is no longer useful with x86 gone.
Die in pkg_pretend if not on amd64.
.../google-chrome-beta-50.0.2661.37_p1.ebuild | 27 +++++++---------------
.../google-chrome-unstable-51.0.2687.0_p1.ebuild | 27 +++++++---------------
.../google-chrome-49.0.2623.87_p1.ebuild | 27 +++++++---------------
3 files changed, 24 insertions(+), 57 deletions(-)
diff --git a/www-client/google-chrome-beta/google-chrome-beta-50.0.2661.37_p1.ebuild b/www-client/google-chrome-beta/google-chrome-beta-50.0.2661.37_p1.ebuild
index 95fd11b..a97043e 100644
--- a/www-client/google-chrome-beta/google-chrome-beta-50.0.2661.37_p1.ebuild
+++ b/www-client/google-chrome-beta/google-chrome-beta-50.0.2661.37_p1.ebuild
@@ -2,13 +2,13 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI="5"
+EAPI="6"
CHROMIUM_LANGS="am ar bg bn ca cs da de el en_GB es es_LA et fa fi fil fr gu he
hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt_BR pt_PT ro ru sk sl sr
sv sw ta te th tr uk vi zh_CN zh_TW fake_bidi"
-inherit readme.gentoo-r1 chromium eutils multilib pax-utils unpacker
+inherit readme.gentoo-r1 chromium eutils pax-utils unpacker
DESCRIPTION="The web browser from Google"
HOMEPAGE="https://www.google.com/chrome"
@@ -21,11 +21,7 @@ fi
MY_P="${MY_PN}_${PV/_p/-}"
-SRC_URI="
- amd64? (
- https://dl.google.com/linux/chrome/deb/pool/main/g/${MY_PN}/${MY_P}_amd64.deb
- )
-"
+SRC_URI="https://dl.google.com/linux/chrome/deb/pool/main/g/${MY_PN}/${MY_P}_amd64.deb"
LICENSE="google-chrome"
SLOT="0"
@@ -101,6 +97,11 @@ pkg_nofetch() {
eerror "Please wait 24 hours and sync your tree before reporting a bug for google-chrome fetch failures."
}
+pkg_pretend() {
+ # Protect against people using autounmask overzealously
+ use amd64 || die "google-chrome only works on amd64"
+}
+
pkg_setup() {
chromium_suid_sandbox_check_kernel_config
}
@@ -135,20 +136,8 @@ src_install() {
readme.gentoo_create_doc
}
-any_cpu_missing_flag() {
- local value=$1
- grep '^flags' /proc/cpuinfo | grep -qv "$value"
-}
-
pkg_preinst() {
chromium_pkg_preinst
- if any_cpu_missing_flag sse2; then
- ewarn "The bundled PepperFlash plugin requires a CPU that supports the"
- ewarn "SSE2 instruction set, and at least one of your CPUs does not"
- ewarn "support this feature. Disabling PepperFlash."
- sed -e "/^exec/ i set -- --disable-bundled-ppapi-flash \"\$@\"" \
- -i "${ED}${CHROME_HOME}/google-chrome" || die
- fi
}
pkg_postinst() {
diff --git a/www-client/google-chrome-unstable/google-chrome-unstable-51.0.2687.0_p1.ebuild b/www-client/google-chrome-unstable/google-chrome-unstable-51.0.2687.0_p1.ebuild
index 95fd11b..a97043e 100644
--- a/www-client/google-chrome-unstable/google-chrome-unstable-51.0.2687.0_p1.ebuild
+++ b/www-client/google-chrome-unstable/google-chrome-unstable-51.0.2687.0_p1.ebuild
@@ -2,13 +2,13 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI="5"
+EAPI="6"
CHROMIUM_LANGS="am ar bg bn ca cs da de el en_GB es es_LA et fa fi fil fr gu he
hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt_BR pt_PT ro ru sk sl sr
sv sw ta te th tr uk vi zh_CN zh_TW fake_bidi"
-inherit readme.gentoo-r1 chromium eutils multilib pax-utils unpacker
+inherit readme.gentoo-r1 chromium eutils pax-utils unpacker
DESCRIPTION="The web browser from Google"
HOMEPAGE="https://www.google.com/chrome"
@@ -21,11 +21,7 @@ fi
MY_P="${MY_PN}_${PV/_p/-}"
-SRC_URI="
- amd64? (
- https://dl.google.com/linux/chrome/deb/pool/main/g/${MY_PN}/${MY_P}_amd64.deb
- )
-"
+SRC_URI="https://dl.google.com/linux/chrome/deb/pool/main/g/${MY_PN}/${MY_P}_amd64.deb"
LICENSE="google-chrome"
SLOT="0"
@@ -101,6 +97,11 @@ pkg_nofetch() {
eerror "Please wait 24 hours and sync your tree before reporting a bug for google-chrome fetch failures."
}
+pkg_pretend() {
+ # Protect against people using autounmask overzealously
+ use amd64 || die "google-chrome only works on amd64"
+}
+
pkg_setup() {
chromium_suid_sandbox_check_kernel_config
}
@@ -135,20 +136,8 @@ src_install() {
readme.gentoo_create_doc
}
-any_cpu_missing_flag() {
- local value=$1
- grep '^flags' /proc/cpuinfo | grep -qv "$value"
-}
-
pkg_preinst() {
chromium_pkg_preinst
- if any_cpu_missing_flag sse2; then
- ewarn "The bundled PepperFlash plugin requires a CPU that supports the"
- ewarn "SSE2 instruction set, and at least one of your CPUs does not"
- ewarn "support this feature. Disabling PepperFlash."
- sed -e "/^exec/ i set -- --disable-bundled-ppapi-flash \"\$@\"" \
- -i "${ED}${CHROME_HOME}/google-chrome" || die
- fi
}
pkg_postinst() {
diff --git a/www-client/google-chrome/google-chrome-49.0.2623.87_p1.ebuild b/www-client/google-chrome/google-chrome-49.0.2623.87_p1.ebuild
index 95fd11b..a97043e 100644
--- a/www-client/google-chrome/google-chrome-49.0.2623.87_p1.ebuild
+++ b/www-client/google-chrome/google-chrome-49.0.2623.87_p1.ebuild
@@ -2,13 +2,13 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI="5"
+EAPI="6"
CHROMIUM_LANGS="am ar bg bn ca cs da de el en_GB es es_LA et fa fi fil fr gu he
hi hr hu id it ja kn ko lt lv ml mr ms nb nl pl pt_BR pt_PT ro ru sk sl sr
sv sw ta te th tr uk vi zh_CN zh_TW fake_bidi"
-inherit readme.gentoo-r1 chromium eutils multilib pax-utils unpacker
+inherit readme.gentoo-r1 chromium eutils pax-utils unpacker
DESCRIPTION="The web browser from Google"
HOMEPAGE="https://www.google.com/chrome"
@@ -21,11 +21,7 @@ fi
MY_P="${MY_PN}_${PV/_p/-}"
-SRC_URI="
- amd64? (
- https://dl.google.com/linux/chrome/deb/pool/main/g/${MY_PN}/${MY_P}_amd64.deb
- )
-"
+SRC_URI="https://dl.google.com/linux/chrome/deb/pool/main/g/${MY_PN}/${MY_P}_amd64.deb"
LICENSE="google-chrome"
SLOT="0"
@@ -101,6 +97,11 @@ pkg_nofetch() {
eerror "Please wait 24 hours and sync your tree before reporting a bug for google-chrome fetch failures."
}
+pkg_pretend() {
+ # Protect against people using autounmask overzealously
+ use amd64 || die "google-chrome only works on amd64"
+}
+
pkg_setup() {
chromium_suid_sandbox_check_kernel_config
}
@@ -135,20 +136,8 @@ src_install() {
readme.gentoo_create_doc
}
-any_cpu_missing_flag() {
- local value=$1
- grep '^flags' /proc/cpuinfo | grep -qv "$value"
-}
-
pkg_preinst() {
chromium_pkg_preinst
- if any_cpu_missing_flag sse2; then
- ewarn "The bundled PepperFlash plugin requires a CPU that supports the"
- ewarn "SSE2 instruction set, and at least one of your CPUs does not"
- ewarn "support this feature. Disabling PepperFlash."
- sed -e "/^exec/ i set -- --disable-bundled-ppapi-flash \"\$@\"" \
- -i "${ED}${CHROME_HOME}/google-chrome" || die
- fi
}
pkg_postinst() {
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-client/google-chrome-unstable/, www-client/google-chrome/, ...
@ 2017-04-19 22:33 Mike Gilbert
0 siblings, 0 replies; 3+ messages in thread
From: Mike Gilbert @ 2017-04-19 22:33 UTC (permalink / raw
To: gentoo-commits
commit: 53e92e2bf8434d732428cbcceaa4b0ef6cc14193
Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Wed Apr 19 22:33:04 2017 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Wed Apr 19 22:33:04 2017 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53e92e2b
www-client/google-chrome: drop inactive maintainer
www-client/google-chrome-beta/metadata.xml | 4 ----
www-client/google-chrome-unstable/metadata.xml | 4 ----
www-client/google-chrome/metadata.xml | 4 ----
3 files changed, 12 deletions(-)
diff --git a/www-client/google-chrome-beta/metadata.xml b/www-client/google-chrome-beta/metadata.xml
index ca28e10e674..a3b5e75ac50 100644
--- a/www-client/google-chrome-beta/metadata.xml
+++ b/www-client/google-chrome-beta/metadata.xml
@@ -5,10 +5,6 @@
<email>floppym@gentoo.org</email>
<name>Mike Gilbert</name>
</maintainer>
- <maintainer type="person">
- <email>xmw@gentoo.org</email>
- <name>Michael Weber</name>
- </maintainer>
<maintainer type="project">
<email>chromium@gentoo.org</email>
<name>Chromium in Gentoo Project</name>
diff --git a/www-client/google-chrome-unstable/metadata.xml b/www-client/google-chrome-unstable/metadata.xml
index ca28e10e674..a3b5e75ac50 100644
--- a/www-client/google-chrome-unstable/metadata.xml
+++ b/www-client/google-chrome-unstable/metadata.xml
@@ -5,10 +5,6 @@
<email>floppym@gentoo.org</email>
<name>Mike Gilbert</name>
</maintainer>
- <maintainer type="person">
- <email>xmw@gentoo.org</email>
- <name>Michael Weber</name>
- </maintainer>
<maintainer type="project">
<email>chromium@gentoo.org</email>
<name>Chromium in Gentoo Project</name>
diff --git a/www-client/google-chrome/metadata.xml b/www-client/google-chrome/metadata.xml
index ca28e10e674..a3b5e75ac50 100644
--- a/www-client/google-chrome/metadata.xml
+++ b/www-client/google-chrome/metadata.xml
@@ -5,10 +5,6 @@
<email>floppym@gentoo.org</email>
<name>Mike Gilbert</name>
</maintainer>
- <maintainer type="person">
- <email>xmw@gentoo.org</email>
- <name>Michael Weber</name>
- </maintainer>
<maintainer type="project">
<email>chromium@gentoo.org</email>
<name>Chromium in Gentoo Project</name>
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: www-client/google-chrome-unstable/, www-client/google-chrome/, ...
@ 2018-11-12 21:19 Mike Gilbert
0 siblings, 0 replies; 3+ messages in thread
From: Mike Gilbert @ 2018-11-12 21:19 UTC (permalink / raw
To: gentoo-commits
commit: c9b3c6c0a2c71bad5d9777630c5b8b97f75b8b2c
Author: Mike Gilbert <floppym <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 12 16:03:27 2018 +0000
Commit: Mike Gilbert <floppym <AT> gentoo <DOT> org>
CommitDate: Mon Nov 12 21:18:16 2018 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c9b3c6c0
www-client/google-chrome: unify stable/beta/unstable ebuilds
Signed-off-by: Mike Gilbert <floppym <AT> gentoo.org>
.../google-chrome-beta/google-chrome-beta-71.0.3578.44.ebuild | 10 +++++++---
.../google-chrome-unstable-72.0.3602.2.ebuild | 9 +++++++--
www-client/google-chrome/google-chrome-70.0.3538.102.ebuild | 10 +++++++---
3 files changed, 21 insertions(+), 8 deletions(-)
diff --git a/www-client/google-chrome-beta/google-chrome-beta-71.0.3578.44.ebuild b/www-client/google-chrome-beta/google-chrome-beta-71.0.3578.44.ebuild
index 3a03ee42c9b..88e80e216eb 100644
--- a/www-client/google-chrome-beta/google-chrome-beta-71.0.3578.44.ebuild
+++ b/www-client/google-chrome-beta/google-chrome-beta-71.0.3578.44.ebuild
@@ -13,8 +13,10 @@ DESCRIPTION="The web browser from Google"
HOMEPAGE="https://www.google.com/chrome"
if [[ ${PN} == google-chrome ]]; then
+ KEYWORDS="-* amd64"
MY_PN=${PN}-stable
else
+ KEYWORDS="-* ~amd64"
MY_PN=${PN}
fi
@@ -24,7 +26,6 @@ SRC_URI="https://dl.google.com/linux/chrome/deb/pool/main/g/${MY_PN}/${MY_P}_amd
LICENSE="google-chrome"
SLOT="0"
-KEYWORDS="-* ~amd64"
IUSE="+plugins"
RESTRICT="bindist mirror strip"
@@ -38,7 +39,6 @@ RDEPEND="
dev-libs/glib:2
dev-libs/nspr
>=dev-libs/nss-3.26
- gnome-base/gconf:2
media-libs/alsa-lib
media-libs/fontconfig
media-libs/freetype:2
@@ -104,9 +104,13 @@ src_install() {
-i "${CHROME_HOME}/${PN}" || die
fi
+ local suffix=
+ [[ ${PN} == google-chrome-beta ]] && suffix=_beta
+ [[ ${PN} == google-chrome-unstable ]] && suffix=_dev
+
local size
for size in 16 22 24 32 48 64 128 256 ; do
- newicon -s ${size} "${CHROME_HOME}/product_logo_${size}_beta.png" ${PN}.png
+ newicon -s ${size} "${CHROME_HOME}/product_logo_${size}${suffix}.png" ${PN}.png
done
pax-mark m "${CHROME_HOME}/chrome"
diff --git a/www-client/google-chrome-unstable/google-chrome-unstable-72.0.3602.2.ebuild b/www-client/google-chrome-unstable/google-chrome-unstable-72.0.3602.2.ebuild
index 57fa25d49a6..88e80e216eb 100644
--- a/www-client/google-chrome-unstable/google-chrome-unstable-72.0.3602.2.ebuild
+++ b/www-client/google-chrome-unstable/google-chrome-unstable-72.0.3602.2.ebuild
@@ -13,8 +13,10 @@ DESCRIPTION="The web browser from Google"
HOMEPAGE="https://www.google.com/chrome"
if [[ ${PN} == google-chrome ]]; then
+ KEYWORDS="-* amd64"
MY_PN=${PN}-stable
else
+ KEYWORDS="-* ~amd64"
MY_PN=${PN}
fi
@@ -24,7 +26,6 @@ SRC_URI="https://dl.google.com/linux/chrome/deb/pool/main/g/${MY_PN}/${MY_P}_amd
LICENSE="google-chrome"
SLOT="0"
-KEYWORDS="-* ~amd64"
IUSE="+plugins"
RESTRICT="bindist mirror strip"
@@ -103,9 +104,13 @@ src_install() {
-i "${CHROME_HOME}/${PN}" || die
fi
+ local suffix=
+ [[ ${PN} == google-chrome-beta ]] && suffix=_beta
+ [[ ${PN} == google-chrome-unstable ]] && suffix=_dev
+
local size
for size in 16 22 24 32 48 64 128 256 ; do
- newicon -s ${size} "${CHROME_HOME}/product_logo_${size}_dev.png" ${PN}.png
+ newicon -s ${size} "${CHROME_HOME}/product_logo_${size}${suffix}.png" ${PN}.png
done
pax-mark m "${CHROME_HOME}/chrome"
diff --git a/www-client/google-chrome/google-chrome-70.0.3538.102.ebuild b/www-client/google-chrome/google-chrome-70.0.3538.102.ebuild
index d7d8f612b2b..88e80e216eb 100644
--- a/www-client/google-chrome/google-chrome-70.0.3538.102.ebuild
+++ b/www-client/google-chrome/google-chrome-70.0.3538.102.ebuild
@@ -13,8 +13,10 @@ DESCRIPTION="The web browser from Google"
HOMEPAGE="https://www.google.com/chrome"
if [[ ${PN} == google-chrome ]]; then
+ KEYWORDS="-* amd64"
MY_PN=${PN}-stable
else
+ KEYWORDS="-* ~amd64"
MY_PN=${PN}
fi
@@ -24,7 +26,6 @@ SRC_URI="https://dl.google.com/linux/chrome/deb/pool/main/g/${MY_PN}/${MY_P}_amd
LICENSE="google-chrome"
SLOT="0"
-KEYWORDS="-* amd64"
IUSE="+plugins"
RESTRICT="bindist mirror strip"
@@ -38,7 +39,6 @@ RDEPEND="
dev-libs/glib:2
dev-libs/nspr
>=dev-libs/nss-3.26
- gnome-base/gconf:2
media-libs/alsa-lib
media-libs/fontconfig
media-libs/freetype:2
@@ -104,9 +104,13 @@ src_install() {
-i "${CHROME_HOME}/${PN}" || die
fi
+ local suffix=
+ [[ ${PN} == google-chrome-beta ]] && suffix=_beta
+ [[ ${PN} == google-chrome-unstable ]] && suffix=_dev
+
local size
for size in 16 22 24 32 48 64 128 256 ; do
- newicon -s ${size} "${CHROME_HOME}/product_logo_${size}.png" ${PN}.png
+ newicon -s ${size} "${CHROME_HOME}/product_logo_${size}${suffix}.png" ${PN}.png
done
pax-mark m "${CHROME_HOME}/chrome"
^ permalink raw reply related [flat|nested] 3+ messages in thread
end of thread, other threads:[~2018-11-12 21:19 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2016-03-23 1:33 [gentoo-commits] repo/gentoo:master commit in: www-client/google-chrome-unstable/, www-client/google-chrome/, Mike Gilbert
-- strict thread matches above, loose matches on Subject: below --
2017-04-19 22:33 Mike Gilbert
2018-11-12 21:19 Mike Gilbert
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox